<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Categories</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
          crossorigin="anonymous">
    <script th:src="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js'}"></script>
    <script th:src="@{'https://code.jquery.com/jquery-3.6.0.min.js'}" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

</head>
<body>
<div th:include="/navbar::content"></div>

<div class="container my-2">
    <h1>Payment List</h1>

    <button type="button" class="btn btn-outline-primary" data-bs-toggle="modal"
            data-bs-target="#addModal">
        Add payment
    </button>
    <br>
    <br>
    <table border="1" class="table table-striped table-responsive-md">
        <thead>
        <tr>
            <th>Id</th>
            <th>Amount</th>
            <th>Customer name</th>
            <th>Payment date</th>
            <th>Last update</th>
            <th> Actions</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="payment : ${payments}">
            <td th:text="${payment.paymentId}"></td>
            <td th:text="${payment.amount}"></td>
            <td th:text="${payment.customerName}"></td>
            <td th:text="${#temporals.format(payment.paymentDate, 'dd-MM-yyyy HH:mm')}"></td>
            <td th:text="${#temporals.format(payment.lastUpdate, 'dd-MM-yyyy HH:mm')}"></td>
            <td>
                <button type="button" class="btn btn-sm btn-primary fas fa-pencil-alt noUnderlineCustom text-white" data-bs-toggle="modal"
                        th:attr="data-bs-target=${'#editModal'+payment.paymentId}" data-row="${payment}"></button>
            </td>

        </tr>
        </tbody>
    </table>

    <!--Modal edit-->
    <div class="modal fade" th:each="row : ${payments}" th:attr="id=${'editModal' + row.paymentId}" tabindex="-1"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="eModalLabel">Update payment</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form th:action="@{/payment/update}" method="post">
                    <div class="modal-body">
                        <input hidden="hidden" name="paymentId" th:value="${row.paymentId}">
                        <label for="paymentAmountId1" th:text="'Input payment amount: '"></label>
                        <input type="text" id="paymentAmountId1" name="paymentAmount" th:value="${row.amount}">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save changes</button>
                    </div>
                </form>
            </div>
        </div>
    </div>




    <div th:if="${payments.getTotalPages() > 1}">
        <div class="row col-sm-12">
            <div class="col-sm-2">
                Total Rows: [[${payments.getTotalElements()}]]
            </div>
            <div class="col-sm-10">
                    <span th:each="i: ${#numbers.sequence(1, payments.getTotalPages())}">
      <a th:if="${payments.getNumber()  != i -1 }" th:href="@{'/payment/list?page=' + ${i - 1}}">[[${i}]]</a>
      <span th:unless="${payments.getNumber()   != i -1 }">[[${i}]]</span> &nbsp; &nbsp;
                    </span>
            </div>
        </div>
    </div>
</div>

<!--Modal add-->
<div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addModalLabel">Add payment</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form th:action="@{/payment/add}" method="post">
                <div class="modal-body">
                    <label for="paymentAmountId" th:text="'Input payment amount: '"></label>
                    <input type="text" id="paymentAmountId" name="paymentAmount">

                    <label for="customerId" th:text="'Select customer: '"></label>
                    <select id="customerId" name="customerId" class="form-select">
                        <option th:each="customer : ${customers}"
                                th:value="${customer.customerId}"
                                th:text="${customer.name}">
                        </option>
                    </select>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Save changes</button>
                </div>
            </form>
        </div>
    </div>
</div>

</body>

</html>